XPath.NodeTest (Xerces2 Implementation)
Date: 2016-02-19

org.apache.xerces.impl.xpath

## Class XPath.NodeTest

- java.lang.Object
- - org.apache.xerces.impl.xpath.XPath.NodeTest

- All Implemented Interfaces:
    java.lang.Cloneable
  Enclosing class:
    XPath

      public static class XPath.NodeTest
      extends java.lang.Object
      implements java.lang.Cloneable

  Node test.
  Author:
    Andy Clark, IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `org.apache.xerces.xni.QName` | `name` Node qualified name.
    `static short` | `NAMESPACE` Type: namespace
    `static short` | `NODE` Type: node.
    `static short` | `QNAME` Type: qualified name.
    `short` | `type` Node test type.
    `static short` | `WILDCARD` Type: wildcard.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XPath.NodeTest(org.apache.xerces.xni.QName name)` Constructs a node test of type QName.
    `XPath.NodeTest(short type)` Constructs a node test of type WILDCARD or NODE.
    `XPath.NodeTest(java.lang.String prefix, java.lang.String uri)` Constructs a node test of type Namespace.
    `XPath.NodeTest(XPath.NodeTest nodeTest)` Copy constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Returns a clone of this object.
    `java.lang.String` | `toString()` Returns a string representation of this object.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### QNAME

          public static final short QNAME

      Type: qualified name.
      See Also:
        Constant Field Values

    - #### WILDCARD

          public static final short WILDCARD

      Type: wildcard.
      See Also:
        Constant Field Values

    - #### NODE

          public static final short NODE

      Type: node.
      See Also:
        Constant Field Values

    - #### NAMESPACE

          public static final short NAMESPACE

      Type: namespace
      See Also:
        Constant Field Values

    - #### type

          public final short type

      Node test type.

    - #### name

          public final org.apache.xerces.xni.QName name

      Node qualified name.

  - ### Constructor Detail

    - #### XPath.NodeTest

          public XPath.NodeTest(short type)

      Constructs a node test of type WILDCARD or NODE.

    - #### XPath.NodeTest

          public XPath.NodeTest(org.apache.xerces.xni.QName name)

      Constructs a node test of type QName.

    - #### XPath.NodeTest

          public XPath.NodeTest(java.lang.String prefix,
                        java.lang.String uri)

      Constructs a node test of type Namespace.

    - #### XPath.NodeTest

          public XPath.NodeTest(XPath.NodeTest nodeTest)

      Copy constructor.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Returns a string representation of this object.
      Overrides:
        `toString` in class `java.lang.Object`

    - #### clone

          public java.lang.Object clone()

      Returns a clone of this object.
      Overrides:
        `clone` in class `java.lang.Object`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.